KProtocolInfoFactory Class Reference

`#include <kprotocolinfofactory.h>`

Inherits KSycocaFactory.

## Public Member Functions

KProtocolInfo * | findProtocol (const QString &protocol)
QStringList | protocols ()

## Static Public Member Functions

static KProtocolInfoFactory * | self ()

## Protected Member Functions

virtual KSycocaEntry * | createEntry (const QString &, const char *)
virtual KProtocolInfo * | createEntry (int offset)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QMap< QString, KProtocolInfo::Ptr > | m_cache

## Static Protected Attributes

static KProtocolInfoFactory * | _self = 0

## Detailed Description

KProtocolInfoFactory is a factory for getting KProtocolInfo.

The factory is a singleton (only one instance can exist).

Factory for KProtocolInfo

Definition at line 40 of file kprotocolinfofactory.h.

## Member Function Documentation

QStringList KProtocolInfoFactory::protocols | ( |  | ) |

Returns list of all known protocols.

Returns
  a list of all protocols

Definition at line 66 of file kprotocolinfofactory.cpp.

static KProtocolInfoFactory* KProtocolInfoFactory::self | ( |  | ) |

inline static

The instance of the KProtocolInfoFactory.

Returns
  the factory instance

Definition at line 48 of file kprotocolinfofactory.h.

The documentation for this class was generated from the following files:

- kprotocolinfofactory.h
- kprotocolinfofactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys